from piccolo.table import Table
from piccolo.columns import ForeignKey, Timestamptz, Boolean, UUID, Bytea
from piccolo.columns.defaults.timestamptz import TimestamptzNow


from .users import User


class EmailVerification(Table, tablename="email_verifications"):
    id = UUID(primary_key=True, null=False)
    user = ForeignKey(references=User, null=False)
    creation_date = Timestamptz(default=TimestamptzNow(), null=False)
    pending = Boolean(default=True, null=False)
    data = Bytea(default=None, null=True)
