from responses import Response
from orm.users import PublicUserModel, PrivateUserModel


class PublicUserResponse(Response):
    """
    A response sent by an endpoint that
    replies with a public user object
    """

    status_code: int = 200
    msg: str = "Lookup successful"
    data: PublicUserModel


class PrivateUserResponse(Response):
    """
    A response sent by an endpoint that
    replies with a private user object
    """

    status_code: int = 200
    data: PrivateUserModel
    msg: str = "Lookup successful"
